<?php 
/**
 * CoppermineFetch :: cfig_random.php
 *
 * RELEASE VERSION: 1.6.2
 * 
 * This is an example of extending the cfimageget.php file to provide a more
 * secure and simpler access to your images.
 *
 * Usage:  Call this file from an img tag and it will return graphic data to you, customtize
 * it below
 *
 * 
 * The presedence is album over category, so if you add in both - you get whatever album is looking for
 */
require_once "cfimageget.php";

// Set this line to refer to the server side portion of the url
// For example, if your coppermine directory is at
//       http://www.fistfullofcode.com/photos
// You would use
//       "/photos/"
//
// If you installed CPG right to the root of your web site you would use:
//      "/"

$urltocpm = "/photos/";

$cpmfetch = new cfimageget($urltocpm);

/* Uncomment this if you want ACCESS TO  ANY PRIVATE  or non-private photos  */
//   $cpmfetch->setPrivacyFlagOn(false);

/* These can be used to limit the selection of photos 
		the following are examples.
*/
$cpmfetch->setSourceString("cat=7");                            // Category 2 only
//$cpmfetch->setSourceString("cat=7,6,8");                      // Categories 6, 7 and 8  only
//$cpmfetch->setSourceString("cat=7:album=1,2,3");    // Category 7 and albums 1, 2 and 3


/* This can be altered to change what is allowed for media types */
//$cpmfetch->setAllowedTypes(array('.jpg','.gif','.png'));      //This is the default
  
/*
This section determines what kind of image will be returned
 Uncomment one of the following
*/

$cpmfetch->getRandom();
//$cpmfetch->getLastAdded();

?>